---
layout: post
title: Apache Storm Logo Contest
author: P. Taylor Goetz
---

Apache Storm is a platform for distributed, real-time computation that has been undergoing incubation at Apache since September 18, 2013. You can contribute by helping establish the Storm brand by submitting a proposal for the Apache Storm logo.

Your proposal will be published on the [Storm project website](http://storm.incubator.apache.org) next to the other proposals. On **Wednesday, April 30, 2014** the community will choose the new logo through a vote on the [Apache Storm Mailing List](http://mail-archives.apache.org/mod_mbox/incubator-storm-dev/). If more than 10 proposals are received, voting will take place in two rounds, with the first round selecting 10 proposals to move to round two.

The winning artist will be credited on the Apache Storm website as having designed the logo, and may include a link to her/his website or blog. Prizes for the winner(s) are currently TBD.

##GUIDELINES 

The logo should meet the following requirements: 

 * Include 2 versions of the logo: a rectangular layout (full brand) and a square layout (icon, stand-alone logo) 
 * Be scalable up or down (hi-res raster, or vector) 
 * Translate to a 2-color representation (black/white, 2 greys, etc.) 
 * Able to be inverted if running on a dark background 
 * Comply with the [Apache branding requirements](http://www.apache.org/foundation/marks/)
 
Optional, but nice to have:
 
 * Icons representing storm components (suitable for use in diagrams, presentations, etc.):
    * Spouts
    * Bolts
    * Streams
    * Trident
    * Functions/Filters

Note: The winning design as accepted by popular vote will be treated as a proposal that can be modified and iterated upon to reach its final form. 

There is no limit on the number of entries per individual.

##INSPIRATION 

While designing the logo, keep in mind what describes Storm: 

 * Distributed Computation
 * High Performance
 * Fault Tolerance
 * Community Driven


##DEADLINE 

The contest will be open until **Wednesday, April 30, 2014**.

##HOW TO ENTER 

Send the [Apache Storm Mailing List](mailto:dev@storm.incubator.apache.org) links to:

 * A PNG version of the logo (and it's scalable variations) 
 * A ZIP file with all assets
 * (Optional) A link to a blog post, etc. describing the proposal

Alternatively, contributers can mail the above to the [contest coordinator](mailto:ptgoetz@apache.org) to have them forwarded to the mailing list.

Contributors may also publicise their proposal by tweeting links to a proposal with the hashtag #stormlogocontest


##LICENSE 

The authors of the selected Apache Storm logo(s) will be required to donate them to the Apache Storm project and complete and [Apache Individual Contributor License Agreement(ICLA)](http://www.apache.org/licenses/icla.txt)

